# Uses of Interface
org.eclipse.birt.core.archive.IDocArchiveWriter

Packages that use IDocArchiveWriter
Package
Description
org.eclipse.birt.core.archive
org.eclipse.birt.core.archive.compound
org.eclipse.birt.core.util

## Uses of IDocArchiveWriter in org.eclipse.birt.core.archive

Classes in org.eclipse.birt.core.archive that implement IDocArchiveWriter
Modifier and Type
Class
Description
`class`
`FileArchiveWriter`
`class`
`FolderArchive`
`class`
`FolderArchiveWriter`
Methods in org.eclipse.birt.core.archive with parameters of type IDocArchiveWriter
Modifier and Type
Method
Description
`static void`
ArchiveUtil.`copy(IDocArchiveReader reader, IDocArchiveWriter writer)`
`static void`
ArchiveUtil.`copy(IDocArchiveReader reader, IDocArchiveWriter writer, Map<String,String> transformations)`
`static final IDocArchiveReader`
ArchiveUtil.`createReader(IDocArchiveWriter writer)`

## Uses of IDocArchiveWriter in org.eclipse.birt.core.archive.compound

Classes in org.eclipse.birt.core.archive.compound that implement IDocArchiveWriter
Modifier and Type
Class
Description
`class`
`ArchiveWriter`

## Uses of IDocArchiveWriter in org.eclipse.birt.core.util

Methods in org.eclipse.birt.core.util with parameters of type IDocArchiveWriter
Modifier and Type
Method
Description
`static org.eclipse.birt.core.btree.BTree<Object,Integer>`
BTreeUtil.`createBTree(IDocArchiveWriter writer, String entryName, int dataType)`
`static org.eclipse.birt.core.btree.BTree<Object,Integer>`
BTreeUtil.`openBTree(IDocArchiveWriter writer, String entryName, int dataType)`